/*
 * MyScrapEmotions.java
 *
 * Created on March 30, 2007, 3:14 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.rms.*;
import java.util.*;
/**
 *
 * @author Royden
 */
public class MyScrapEmotions implements CommandListener {
    
    private Command selectCmd;
    private Command backCmd;
    MyScrapResults msr = null;
    
    List emotionList;
    /**
     * Creates a new instance of MyScrapEmotions
     */
    public MyScrapEmotions(MyScrapResults msr) {
        this.msr=msr;
        selectCmd = new Command("Select",Command.OK,1);
        backCmd = new Command("Back",Command.BACK,1);
        
        emotionList = new List("Emotions",Choice.EXCLUSIVE);
        
        emotionList.addCommand(selectCmd);
        emotionList.addCommand(backCmd);
        InitializeSmiley();
    }

    public void commandAction(Command command, Displayable displayable) {
        if(command == selectCmd) {
           int i = emotionList.getSelectedIndex();
           msr.scrapTF.setString(msr.scrapTF.getString() + "[" + getSmileyCode(i) + "]");
           msr.display.setCurrent(msr.form);
            
        }
        else if(command == backCmd) {
             msr.display.setCurrent(msr.form);
           
        }
                
    }
    
    //This function initializes the smiley name and path
    public void InitializeSmiley() {
          DrawSmiley("Alien","/alien.png");    
          DrawSmiley("Angry","/angry.png");
          DrawSmiley("Arrow","/arrow.png");
          DrawSmiley("Confused","/confused.png");
          DrawSmiley("Cool","/cool.png");
          DrawSmiley("Cry","/cry.png");
          DrawSmiley("Dizzy","/dizzy.png");    
          DrawSmiley("Eek","/eek.png");
          DrawSmiley("Evil","/evil.png");
          DrawSmiley("Exclam","/exclam.png");
          DrawSmiley("Idea","/idea.png");
          DrawSmiley("Laugh","/laugh.png");
          DrawSmiley("LOL","/lol.png");    
          DrawSmiley("Mr.Green","/mrgreen.png");
          DrawSmiley("Straight Face","/normal.png");
          DrawSmiley("Question","/question.png");
          DrawSmiley("Razz","/razz.png");
          DrawSmiley("Redface","/redface.png");
          DrawSmiley("Rolleyes","/rolleyes.png");    
          DrawSmiley("Sad","/sad.png");
          DrawSmiley("Smile","/smile.png");
          DrawSmiley("Surprised","/surprised.png");
          DrawSmiley("Wink","/wink.png");
          
          emotionList.setCommandListener(this);
    }
    
    //This function creates smiley image and appends the smiley image and 
    //name to the list
    public void DrawSmiley (String mood,String path) {
       Image i = null;
       try {
            i = Image.createImage(path);
        } catch(Exception e) {
            System.out.println("Cannot append smiley" + e);
        }
    
    emotionList.append(mood, i);
      
  }
    //This function takes the index of the smiley selected as input and 
    //returns the corresponding code 
    public String getSmileyCode(int index) {
       String code = " ";
        switch(index) {
            case 0 : code = "000"; break;
            case 1 : code = "001"; break;
            case 2 : code = "002"; break;
            case 3 : code = "003"; break;
            case 4 : code = "004"; break;
            case 5 : code = "005"; break;
            case 6 : code = "006"; break;
            case 7 : code = "007"; break;
            case 8 : code = "008"; break;
            case 9 : code = "009"; break;
            case 10 : code = "010"; break;
            case 11 : code = "011"; break;
            case 12 : code = "012"; break;
            case 13 : code = "013"; break;
            case 14 : code = "014"; break;
            case 15 : code = "015"; break;
            case 16 : code = "016"; break;
            case 17 : code = "017"; break;
            case 18 : code = "018"; break;
            case 19 : code = "019"; break;
            case 20 : code = "020"; break;
            case 21 : code = "021"; break;
            case 22 : code = "022"; break;
            default : code = "021"; break;
        }
        
        return code ;
    }
    
}
